<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="#{form_template == null ? '/layout/form/_form_field_tm_criteria_4-5.xhtml' : form_template}">
        <ui:param name="id" value="#{filterId}Panel"/>
        <ui:define name="label">
            <h:outputText value="#{filterName}"/>

            <a4j:jsFunction name="updateField">
                <a4j:param name="param1" assignTo="#{filter.updatedField}"/>
            </a4j:jsFunction>

            <a4j:jsFunction name="refresh" render="#{filterForm}"
                            execute="#{filterId}Field1,#{filterId}Field2,#{filterForm}"/>
        </ui:define>

        <gazelle:span id="#{filterId}Panel" styleClass="gzl-never-wrap form-inline">
            <h:selectOneMenu styleClass="form-control"
                             value="#{filter.filterValues[filterId].intervalType}"
                             onchange="updateField('#{filterId}');">
                <f:selectItems value="#{filter.intervalTypes}"/>
                <a4j:ajax event="change" execute="@this" render="#{filterForm}"/>
            </h:selectOneMenu>
            <gazelle:span id="#{filterId}Fields">
                <div class="input-group">
                    <div class="col-lg-10">
                        <gazelle:div rendered="#{filter.filterValues[filterId].firstValue}">
                            <rich:inputNumberSpinner value="#{filter.filterValues[filterId].value1}"
                                                     minValue="#{filter.filterValues[filterId].minValue}"
                                                     maxValue="#{filter.filterValues[filterId].maxValue}">
                                <a4j:ajax event="change" execute="@this" render="#{filterForm}"/>
                            </rich:inputNumberSpinner>
                        </gazelle:div>
                        <gazelle:div rendered="#{filter.filterValues[filterId].dualValue}">
                            <rich:inputNumberSpinner value="#{filter.filterValues[filterId].value2}"
                                                     minValue="#{filter.filterValues[filterId].minValue}"
                                                     maxValue="#{filter.filterValues[filterId].maxValue}">
                                <a4j:ajax event="change" execute="@this" render="#{filterForm}"/>
                            </rich:inputNumberSpinner>
                        </gazelle:div>
                    </div>
                    <div class="col-lg-2">
                        <a4j:commandLink event="click"
                                         actionListener="#{filter.resetNumberField(filterId)}"
                                         render="#{filterForm}" execute="#{filterId}Field1,#{filterId}Field2,#{filterForm}">
                            <span class="gzl-icon-times"/>
                        </a4j:commandLink>
                    </div>
                </div>
            </gazelle:span>
        </gazelle:span>
    </ui:decorate>
</ui:composition>


        <!--<h:outputText id="#{filterId}Name" value="#{filterName}"/>-->
        <!--<s:div id="#{filterId}ValueDiv">-->
        <!--<a4j:region id="#{filterId}Region">-->
        <!--<h:panelGrid columns="3" border="0" cellpadding="0" cellspacing="0">-->
        <!--<s:span>-->
        <!--<h:selectOneMenu styleClass="form-control gzl-form-control" value="#{filter.filterValues[filterId].intervalType}">-->
        <!--<f:selectItems value="#{filter.intervalTypes}"/>-->
        <!--<a4j:ajax event="change" render="#{filterId}ValueDiv" execute="@this"/>-->
        <!--</h:selectOneMenu>-->
        <!--</s:span>-->
        <!--<s:span>-->
        <!--<s:div rendered="#{filter.filterValues[filterId].firstValue}">-->
        <!--<rich:inputNumberSpinner value="#{filter.filterValues[filterId].value1}" minValue="#{filter.filterValues[filterId].minValue}"-->
        <!--maxValue="#{filter.filterValues[filterId].maxValue}"/>-->
        <!--</s:div>-->
        <!--<s:div rendered="#{filter.filterValues[filterId].dualValue}">-->
        <!--<rich:inputNumberSpinner value="#{filter.filterValues[filterId].value2}" minValue="#{filter.filterValues[filterId].minValue}"-->
        <!--maxValue="#{filter.filterValues[filterId].maxValue}"/>-->
        <!--</s:div>-->
        <!--</s:span>-->
        <!--<s:span>-->
        <!--<a4j:commandLink render="#{filterForm}">-->
        <!--<span class="gzl-icon-checked"/>-->
        <!--<f:setPropertyActionListener value="#{filter.filterValues[filterId]}" target="#{filter.filterValues[filterId]}"/>-->
        <!--<f:setPropertyActionListener value="#{filterId}" target="#{filter.updatedField}"/>-->
        <!--</a4j:commandLink>-->
        <!--</s:span>-->
        <!--</h:panelGrid>-->
        <!--</a4j:region>-->
        <!--</s:div>-->
        <!--</ui:composition>-->
